Subject: Re: bug#25328: pinentry-gtk-2 fails after upgrade to 1.0.0: "Operation cancelled"

From: Arun Isaac <[email-masked]>
Date: Mon, 08 May 2017 03:45:40 +0530

>> Since upgrading pinentry-gtk-2 from 0.9.7 to 1.0.0, I've noticed some
>> strange behavior.  Whenever I try to do something that requires access
>> to my secret key, no window appears, and I get an error like the
>> following:
>>
>>     $ gpg --sign /tmp/message
>>     gpg: signing failed: Operation cancelled
>>     gpg: signing failed: Operation cancelled

I am experiencing the exact same problem with pinentry-gtk-2 in exwm
(Emacs X Window Manager). The pinentry window seems to get closed
immediately after it appears. I thought that this was some bug in
exwm. But, now that you mention this, maybe something's wrong with
pinentry-gtk-2.